package ru.yandex.autotests.direct.web.util.beanutils;

/**
 * Interface to save and load data of beans
 *
 * @author Roman Kuhta (kuhtich@yandex-team.ru)
 */
public interface BeanPropertyLoader<T> {
    void save(T bean, String templateName);

    BeanPropertyLoader apply(String templateName);

    T toObject();
}
